#ifndef __SIANGLE_H__
#define __SIANGLE_H__

#include "math.h"

#define ANGLE_DEGREE_PREOFFSET		0.0f
#define ANGLE_DEGREE_POSTOFFSET		0.0f
#define ANGLE_DEGREE_SCALE		(M_PI/180.0f)

#define ANGLE_MINUTE_PREOFFSET		0.0f
#define ANGLE_MINUTE_POSTOFFSET		0.0f
#define ANGLE_MINUTE_SCALE		(M_PI/10800.0f)

#define ANGLE_QUADRANT_PREOFFSET	0.0f
#define ANGLE_QUADRANT_POSTOFFSET	0.0f
#define ANGLE_QUADRANT_SCALE		(M_PI/2.0f)

#define ANGLE_REVOLUTION_PREOFFSET	0.0f
#define ANGLE_REVOLUTION_POSTOFFSET	0.0f
#define ANGLE_REVOLUTION_SCALE		(M_PI*2.0f)

#define ANGLE_SECOND_PREOFFSET		0.0f
#define ANGLE_SECOND_POSTOFFSET		0.0f
#define ANGLE_SECOND_SCALE		(M_PI/648000.0f)

#endif/*__SIANGLE_H__*/
