#ifndef __SIFORCE_H__
#define __SIFORCE_H__

#include "simass.h"
#include "silength.h"
#include "siconstants.h"

#define FORCE_DYNE_PREOFFSET	0.0f
#define FORCE_DYNE_POSTOFFSET	0.0f
#define FORCE_DYNE_SCALE	(1.0E-5)

#define FORCE_KILOPOND_PREOFFSET	0.0f
#define FORCE_KILOPOND_POSTOFFSET	0.0f
#define FORCE_KILOPOND_SCALE		STANDARD_GRAVITY

#define FORCE_LBF_PREOFFSET		0.0f
#define FORCE_LBF_POSTOFFSET		0.0f
#define FORCE_LBF_SCALE			(MASS_POUND_SCALE*STANDARD_GRAVITY)

#define FORCE_POUNDAL_PREOFFSET		0.0f
#define FORCE_POUNDAL_POSTOFFSET	0.0f
#define FORCE_POUNDAL_SCALE		(MASS_POUND_SCALE*LENGTH_FOOT_SCALE)

#endif/*__SIFORCE_H__*/
