#ifndef __SILENGTH_H__
#define __SILENGTH_H__

#include "sibase.h"

#define LENGTH_LIGHTSECOND_PREOFFSET	0.0f
#define LENGTH_LIGHTSECOND_POSTOFFSET	0.0f
#define LENGTH_LIGHTSECOND_SCALE	299792457.0f

#define LENGTH_LIGHTMINUTE_PREOFFSET	0.0f
#define LENGTH_LIGHTMINUTE_POSTOFFSET	0.0f
#define LENGTH_LIGHTMINUTE_SCALE	(LENGTH_LIGHTSECOND_SCALE*60.0f)

#define LENGTH_LIGHTHOUR_PREOFFSET	0.0f
#define LENGTH_LIGHTHOUR_POSTOFFSET	0.0f
#define LENGTH_LIGHTHOUR_SCALE		(LENGTH_LIGHTMINUTE_SCALE*60.0f)

#define LENGTH_LIGHTYEAR_PREOFFSET	0.0f
#define LENGTH_LIGHTYEAR_POSTOFFSET	0.0f
#define LENGTH_LIGHTYEAR_SCALE		(LENGTH_LIGHTSECOND_SCALE*31557600.0f)

#define LENGTH_INCH_PREOFFSET		0.0f
#define LENGTH_INCH_POSTOFFSET		0.0f
#define LENGTH_INCH_SCALE		0.0254f

#define LENGTH_FOOT_PREOFFSET		0.0f
#define LENGTH_FOOT_POSTOFFSET		0.0f
#define LENGTH_FOOT_SCALE		(LENGTH_INCH_SCALE*12.0f)

#define LENGTH_YARD_PREOFFSET		0.0f
#define LENGTH_YARD_POSTOFFSET		0.0f
#define LENGTH_YARD_SCALE		(LENGTH_FOOT_SCALE*3.0f)

#define LENGTH_MILE_PREOFFSET		0.0f
#define LENGTH_MILE_POSTOFFSET		0.0f
#define LENGTH_MILE_SCALE		1609.344f

#define LENGTH_SURVEY_MILE_PREOFFSET	0.0f
#define LENGTH_SURVEY_MILE_POSTOFFSET	0.0f
#define LENGTH_SURVEY_MILE_SCALE	1609.347219f

#define LENGTH_NAUTICAL_MILE_PREOFFSET	0.0f
#define LENGTH_NAUTICAL_MILE_POSTOFFSET	0.0f
#define LENGTH_NAUTICAL_MILE_SCALE	1852.0f

#define LENGTH_PARSEC_PREOFFSET		0.0f
#define LENGTH_PARSEC_POSTOFFSET	0.0f
#define LENGTH_PARSEC_SCALE		3.08567758E16

#define LENGTH_AU_PREOFFSET		0.0f
#define LENGTH_AU_POSTOFFSET		0.0f
#define LENGTH_AU_SCALE			(499.0*LENGTH_LIGHTSECOND_SCALE)

#endif/*__SILENGTH_H__*/
