#ifndef __SIMASS_H__
#define __SIMASS_H__

#include "sibase.h"
#include "siconstants.h"
#include "silength.h"

#define MASS_POUND_PREOFFSET		0.0f
#define MASS_POUND_POSTOFFSET		0.0f
#define MASS_POUND_SCALE		0.453592f

#define MASS_OUNCE_PREOFFSET		0.0f
#define MASS_OUNCE_POSTOFFSET		0.0f
#define MASS_OUNCE_SCALE		0.0283495f

#define MASS_SLUG_PREOFFSET		0.0f
#define MASS_SLUG_POSTOFFSET		0.0f
#define MASS_SLUG_SCALE			((MASS_POUND_SCALE*STANDARD_GRAVITY)/LENGTH_FOOT_SCALE)

#define MASS_HYL_PREOFFSET		0.0f
#define MASS_HYL_POSTOFFSET		0.0f
#define MASS_HYL_SCALE			STANDARD_GRAVITY

#endif/*__SIMASS_H__*/
